/*
 * msgqueue.h
 *
 * Copyright (C) Leni Mayo 2001-2002
 *
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License, version 2, as
 *	published by the Free Software Foundation.
 *	
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *	
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
/*
 * Interfaces for a simple fifo queue of pairs (ServiceName, event).
 * Completely unrelated to kernel message queues.
 */

#ifndef _MSGQUEUE_H_
#define _MSGQUEUE_H_
#include "common.h"
#include "serviceid.h"
#include "fsm.h"

extern void msgqueueInitialise();
extern void msgqueueCleanup();
extern void msgqueueAdd(const ServiceId id, Event event);
extern int  msgqueueRemove(ServiceId *pId, Event *pEvent);

#endif /* _MSGQUEUE_H_ */
