/*
 * rdfconsturi.h
 * Redland nodes corresponding to commonly-used uris.
 *
 * Copyright (C) Leni Mayo 2002
 *
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License, version 2, as
 *	published by the Free Software Foundation.
 *	
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *	
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef _RDFCONSTURI_H_
#define _RDFCONSTURI_H_

#include "servercommon.h"
#include "rdfcommon.h"

/* leni TODO: this file is poorly named - revist
*/

int  rdfConstInitialise();
void rdfConstCleanup();

librdf_node * nodeFromCode(RdfProperty name);
int nodeHasPropertyName(librdf_model *pModel, librdf_node *pNode, RdfProperty name);
int addPropertyToNode(librdf_model *pModel, librdf_node *pNode, RdfProperty name, const char *pszLiteral);
int addPropertyToBaseAndFragment(librdf_model *pModel, const char *pszBase, const char *pszFragment, RdfProperty name, const char *pszLiteral);
int isNodeWithPropertyValue(librdf_model *pModel, librdf_node *pNode, RdfProperty code, const char *pszValue);

#endif /* _RDFCONSTURI_H_ */
