#!/bin/sh
#
# Copyright (c) 2001-2002 by Leni Mayo
#
#	This program is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License, version 2, as
#	published by the Free Software Foundation.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
# srcdir may get passed in by autoconf
#
if [ "$srcdir" != "" ]; then
	srcdir=$srcdir"/"
else
	srcdir="/"
fi

srcdir="`pwd`/$srcdir"

# Test the locally built versions, in preference to the installed ones.
# Also, there might not be anything installed as yet (eg. during "make check")
export PATH=../src:../scripts:$PATH

# Source some functions
. $srcdir"testfunctions"

echo -n "Test rdf populate, parsing and graph generation ... "
directory=$srcdir"3"

tmpfile=`mktemp -q /tmp/XXXXXX`
tmpfiles="$tmpfile"

if [ ! -w $tmpfile ]; then
	echo Unable to create temporary file.
	failure $LINENO
fi

startServer -c $directory/conf/serel.conf
[ $? != "0" ] && failure $LINENO

SEREL_PAIRS=
for i in "$directory"/*; do
	if [ ! -d $i ]; then
		service=`basename $i`
		SEREL_PAIRS="$SEREL_PAIRS $service $i" 
	fi
done

serelhistory --populate <<- END
	--pairs
	$SEREL_PAIRS
	END
[ $? != "0" ] && failure $LINENO

serelhistory --query verify | grep "success" 2>&1 > /dev/null
[ $? != "0" ] && failure $LINENO

# always stop the server and remove the tmp files, no matter what
trap "serelc --control stop > /dev/null 2>&1; rm $tmpfiles > /dev/null 2>&1" EXIT

for i in "$directory"/*; do
	[ ! -d $i ] && serel-wrap $i start &
done

wait

testStatus $directory "eStateIn"

serelc --query graph id graph2 > $tmpfile
[ $? != "0" ] && failure $LINENO

grep -q edge-syslog-anacron $tmpfile
[ $? != "0" ] && failure $LINENO

grep -q edge-syslog-apmd    $tmpfile
[ $? != "0" ] && failure $LINENO

# the trap stops the server and removes the tmp files

success
